ReadChartItem (MaltParser 1.4.1)
Date: 2010-07-15

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| MaltParser 1.4.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.maltparser.core.syntaxgraph.reader
Class ReadChartItem

    java.lang.Object
      org.maltparser.core.flow.item.ChartItem
          org.maltparser.core.syntaxgraph.reader.ReadChartItem

    public class ReadChartItem

extends ChartItem

Field Summary

Fields inherited from class org.maltparser.core.flow.item.ChartItem
`chartItemSpecification, CONTINUE, flowChartinstance, NEWITERATION, TERMINATE`

Constructor Summary
`ReadChartItem()`

Method Summary
`boolean` | `equals(Object obj)`
`String` | `getInputCharSet()`
`DataFormatInstance` | `getInputDataFormatInstance()`
`String` | `getInputFileName()`
`String` | `getInputFormatName()`
`int` | `getIterations()`
`String` | `getNullValueStrategy()`
`SyntaxGraphReader` | `getReader()`
`String` | `getReaderOptions()`
`String` | `getRootLabels()`
`Class<? extends SyntaxGraphReader>` | `getSyntaxGraphReaderClass()`
`String` | `getTargetName()`
`int` | `hashCode()`
`void` | `initialize(FlowChartInstance flowChartinstance, ChartItemSpecification chartItemSpecification)` Initialize the chart item
`void` | `initInput(String nullValueStategy, String rootLabels)`
`void` | `initReader(Class<? extends SyntaxGraphReader> syntaxGraphReader, String inputFile, String inputCharSet, String readerOptions, int iterations)`
`int` | `postprocess(int signal)` Cause the chart item to perform the postprocess tasks
`int` | `preprocess(int signal)` Cause the chart item to perform the preprocess tasks
`int` | `process(int signal)` Cause the chart item to perform the process task (for every sentence)
`void` | `setInputCharSet(String inputCharSet)`
`void` | `setInputFileName(String inputFileName)`
`void` | `setInputFormatName(String inputFormatName)`
`void` | `setIterations(int iterations)`
`void` | `setNullValueStrategy(String nullValueStrategy)`
`void` | `setReaderOptions(String readerOptions)`
`void` | `setRootLabels(String rootLabels)`
`void` | `setSyntaxGraphReaderClass(Class<?> graphReaderClass)`
`void` | `setTargetName(String targetName)`
`void` | `terminate()` Terminates and cleans up the chart item
`String` | `toString()`

Methods inherited from class org.maltparser.core.flow.item.ChartItem
`getChartElement, getChartItemSpecification, getFlowChartInstance, getOptionContainerIndex, setChartItemSpecification, setFlowChartInstance`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ReadChartItem

    public ReadChartItem()

Method Detail

### initialize

    public void initialize(FlowChartInstance flowChartinstance,
                           ChartItemSpecification chartItemSpecification)
                    throws MaltChainedException

  Description copied from class: `ChartItem`
  Initialize the chart item

  Overrides:
    `initialize` in class `ChartItem`
  Parameters:
    `flowChartinstance` - the flow chart instance that the chart item belongs to
    `chartItemSpecification` - a specification of the chart item
  Throws:
    `MaltChainedException`

### preprocess

    public int preprocess(int signal)
                   throws MaltChainedException

  Description copied from class: `ChartItem`
  Cause the chart item to perform the preprocess tasks

  Specified by:
    `preprocess` in class `ChartItem`
  Parameters:
    `signal` - returned by the previous chart item
  Returns:
    true if every thing is ok, otherwise false
  Throws:
    `MaltChainedException`

### process

    public int process(int signal)
                throws MaltChainedException

  Description copied from class: `ChartItem`
  Cause the chart item to perform the process task (for every sentence)

  Specified by:
    `process` in class `ChartItem`
  Parameters:
    `signal` - returned by the previous chart item
  Returns:
    true if it is ready to perform the next sentence, otherwise false
  Throws:
    `MaltChainedException`

### postprocess

    public int postprocess(int signal)
                    throws MaltChainedException

  Description copied from class: `ChartItem`
  Cause the chart item to perform the postprocess tasks

  Specified by:
    `postprocess` in class `ChartItem`
  Parameters:
    `signal` - returned by the previous chart item
  Returns:
    true if every thing is ok, otherwise false
  Throws:
    `MaltChainedException`

### terminate

    public void terminate()
                   throws MaltChainedException

  Description copied from class: `ChartItem`
  Terminates and cleans up the chart item

  Specified by:
    `terminate` in class `ChartItem`
  Throws:
    `MaltChainedException`

### getInputFormatName

    public String getInputFormatName()

### setInputFormatName

    public void setInputFormatName(String inputFormatName)

### getInputFileName

    public String getInputFileName()

### setInputFileName

    public void setInputFileName(String inputFileName)

### getInputCharSet

    public String getInputCharSet()

### setInputCharSet

    public void setInputCharSet(String inputCharSet)

### getReaderOptions

    public String getReaderOptions()

### setReaderOptions

    public void setReaderOptions(String readerOptions)

### getIterations

    public int getIterations()

### setIterations

    public void setIterations(int iterations)

### getSyntaxGraphReaderClass

    public Class<? extends SyntaxGraphReader> getSyntaxGraphReaderClass()

### setSyntaxGraphReaderClass

    public void setSyntaxGraphReaderClass(Class<?> graphReaderClass)
                                   throws MaltChainedException

  Throws:
    `MaltChainedException`

### getNullValueStrategy

    public String getNullValueStrategy()

### setNullValueStrategy

    public void setNullValueStrategy(String nullValueStrategy)

### getRootLabels

    public String getRootLabels()

### setRootLabels

    public void setRootLabels(String rootLabels)

### getTargetName

    public String getTargetName()

### setTargetName

    public void setTargetName(String targetName)

### getReader

    public SyntaxGraphReader getReader()

### getInputDataFormatInstance

    public DataFormatInstance getInputDataFormatInstance()

### initInput

    public void initInput(String nullValueStategy,
                          String rootLabels)
                   throws MaltChainedException

  Throws:
    `MaltChainedException`

### initReader

    public void initReader(Class<? extends SyntaxGraphReader> syntaxGraphReader,
                           String inputFile,
                           String inputCharSet,
                           String readerOptions,
                           int iterations)
                    throws MaltChainedException

  Throws:
    `MaltChainedException`

### equals

    public boolean equals(Object obj)

  Overrides:
    `equals` in class `Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| MaltParser 1.4.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2007-2010 Johan Hall, Jens Nilsson and Joakim Nivre.